WellbyteWellbyte

GET /v1/twitter/web/fetch_user_profile

获取用户资料

stable · 2 credits / 次(成功才计)

获取用户资料;screen_name: 用户名,例如:elonmusk,可以从用户主页链接中获取,例如:https://twitter.com/elonmusk 中的 elonmusk。;rest_id: 用户ID,例如:44196397,如果使用用户ID则会忽略用户名,两者只能选其一。;用户资料

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl -s 'https://api.wellbyte.net/v1/twitter/web/fetch_user_profile?rest_id=44196397&screen_name=elonmusk' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-08-25

data{
code:0
data{
id:"44196397"
desc:"https://t.co/ZdBx5WABYx"
name:"Elon Musk"
avatar:"https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg"
status:"active"
friends:1395
profile:"elonmusk"
rest_id:"44196397"
location:null
protected:false
sub_count:241519396
affiliates{ 1 item }
created_at:"Tue Jun 02 20:12:29 +0000 2009"
media_count:4709
header_image:"https://pbs.twimg.com/profile_banners/44196397/1774145451"
blue_verified:true
statuses_count:107630
business_account[ 0 items ]
verification_type:null
pinned_tweet_ids_str[ 1 item ]
}
meta{
endpoint:"twitter.web.fetch_user_profile"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    rest_idintegerquery用户ID(如果使用用户ID则会忽略用户名)44196397
    screen_namestringquery用户名elonmusk

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误
    40102401API Key 无效或已吊销
    40201402余额不足,请充值
    40402404目标资源不存在
    42201422质量门槛未通过
    42901429超出速率限制
    50401504上游超时
    50201502上游返回异常

    计费

    成功扣 2 credits;任何失败(含上游 200 但未过质量门槛)扣 0。

    搜索

    搜索端点与文档